Skip to content

condenser_api.list_proposals ​

Purpose ​

Returns all proposals, starting with the specified creator or start date. Parameters: start:array; limit:int; order:string; order_direction:string; status:string

  • start depends on order (see below)
    • creator - creator of the proposal (account name string)
    • start_date - start date of the proposal (date string)
    • end_date - end date of the proposal (date string)
    • total_votes - total votes of the proposal (int)
  • limit is up to 1000.
  • order can be one of:
    • by_creator - order by proposal creator
    • by_start_date - order by proposal start date
    • by_end_date - order by proposal end date
    • by_total_votes - order by proposal total votes
  • order_direction can be one of:
    • ascending
    • descending
  • status
    • all
    • inactive
    • active
    • expired
    • votable
start (array)limit (int)order (string)order_direction (string)status (string)
[""]10by_creatorascendingactivelist 10 proposals with active status, ordered by creator, ascending
["2019-08-07T16:54:03"]1000by_start_dateascendinginactivelist 1000 proposals with inactive status, ordered by start date, ascending, since 2019-08-07T16:54:03
["a"]1by_creatorascendingexpiredlist 1 proposal with expired status, ordered by creator, ascending, by accounts starting with "a"
["alice"]10by_creatorascendingalllist 10 proposals with any status, ordered by creator, ascending, by alice
[""]1000by_creatorascendingvotablelist 1000 votable proposals, ordered by creator, ascending
[10]1000by_total_votesascendingvotablelist 1000 votable proposals, ordered by creator, ascending, having at least 10 votes

Also see: datbase_api.list_proposals

Parameters ​

PARAMETERS
json
[
  [],
  0,
  "by_name",
  "ascending",
  "all"
]

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.list_proposals",
    "params": [
      [
        ""
      ],
      10,
      "by_creator",
      "ascending",
      "active"
    ],
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.list_proposals",
    "params": [
      [
        "2019-08-07T16:54:03"
      ],
      1000,
      "by_start_date",
      "ascending",
      "inactive"
    ],
    "id": 1
  }'

Example 3 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.list_proposals",
    "params": [
      [
        "a"
      ],
      1,
      "by_creator",
      "ascending",
      "expired"
    ],
    "id": 1
  }'

Example 4 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.list_proposals",
    "params": [
      [
        "alice"
      ],
      10,
      "by_creator",
      "ascending",
      "all"
    ],
    "id": 1
  }'

Example 5 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.list_proposals",
    "params": [
      [
        ""
      ],
      1000,
      "by_creator",
      "ascending",
      "votable"
    ],
    "id": 1
  }'

Example 6 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.list_proposals",
    "params": [
      [
        10
      ],
      1000,
      "by_total_votes",
      "ascending",
      "votable"
    ],
    "id": 1
  }'

Response ​

RESPONSE
json
[
  {
    "id": 0,
    "proposal_id": "1103806595072",
    "creator": "alice",
    "receiver": "bob",
    "start_date": "2019-07-01T00:00:00",
    "end_date": "2019-08-01T23:59:59",
    "daily_pay": "4800.000 SBD",
    "subject": "My Proposal",
    "permlink": "creator-proposal-permlink",
    "total_votes": "77351826710",
    "status": "active"
  }
]